package main

import (
	"context"
	"net/http"

	"github.com/go-chi/chi/v5"
	"gitlab.com/zephyrtronium/sq"

	"git.sunturtle.xyz/studio/shotgun/lobby"
	"git.sunturtle.xyz/studio/shotgun/serve"

	_ "modernc.org/sqlite"
)

func main() {
	s := Server{
		l: lobby.New(),
	}
	sessiondb, err := sq.Open("sqlite", ":memory:")
	if err != nil {
		panic(err)
	}
	sessions, err := sessiondb.Conn(context.Background())
	if err != nil {
		panic(err)
	}
	r := chi.NewRouter()
	r.With(serve.WithPlayerID(sessions)).Get("/queue", s.Queue)
	http.ListenAndServe(":8080", r)
}
